Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Interface Averager

All Known Implementing Classes:
  AveragerImpl

public interface Averager
extends MessageProbe, MessageProbeS

Averages together data, gives the data to whomever asks.. Averager objects read a value (via a MessageProbe) from a collection (typically a list) of objects and collect statistics over them.

Method Summary
`double` | `getAverage()` The getAverage method averages the values the averager collects.
`int` | `getCount()` The getCount method returns the number of values the averager collects.
`double` | `getMin()` The getMin method returns the minimum value the averager collects.
`double` | `getMovingAverage()` The getMovingAverage method averages the values the averager collects using the specified sampling width.
`double` | `getMovingStdDev()` The returns the square root of -getMovingVariance.
`double` | `getMovingVariance()` The returns the unbiased estimate of sample variance using the specified sampling width.
`double` | `getStdDev()` The returns the square root of -getVariance.
`double` | `getTotal()` The getTotal method sums the values the averager collects.
`double` | `getVariance()` The returns the unbiased estimate of sample variance per the `corrected' formula (Hays, Statistics 3rd ed, p.
`void` | `update()` The update method runs through the collection calling the selector on each object.

Methods inherited from interface swarm.objectbase.MessageProbe
`doubleDynamicCallOn, getArgCount, getArgName, getHideResult, getProbedMessage, isArgumentId, isResultId, longDynamicCallOn, objectDynamicCallOn, setArg$ToString, setArg$ToUnsigned, stringDynamicCallOn`

Methods inherited from interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods inherited from interface swarm.objectbase.Probe
`clone, getProbedClass, getProbedType`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### update

    public void update()

  The update method runs through the collection calling the selector on each object.

### getAverage

    public double getAverage()

  The getAverage method averages the values the averager collects. The total and count are read out of the object to compute the average.

### getMovingAverage

    public double getMovingAverage()

  The getMovingAverage method averages the values the averager collects using the specified sampling width.

### getVariance

    public double getVariance()

  The returns the unbiased estimate of sample variance per the `corrected' formula (Hays, Statistics 3rd ed, p. 188).

### getMovingVariance

    public double getMovingVariance()

  The returns the unbiased estimate of sample variance using the specified sampling width.

### getStdDev

    public double getStdDev()

  The returns the square root of -getVariance.

### getMovingStdDev

    public double getMovingStdDev()

  The returns the square root of -getMovingVariance.

### getTotal

    public double getTotal()

  The getTotal method sums the values the averager collects. The value is read out of the object, not computed everytime it is asked for.

### getMin

    public double getMin()

  The getMin method returns the minimum value the averager collects. The value is read out of the object, not computed everytime it is asked for.

### getCount

    public int getCount()

  The getCount method returns the number of values the averager collects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD